RUNLEVEL(8)

NOM
runlevel - Trouver le niveau d'exécution système précédent et actuel

SYNOPSIS
runlevel [utmp]

DESCRIPTION
runlevel lit le fichier système utmp (typiquement /var/run/utmp) pour trouver l'enregistrement du niveau d'exécution puis affiche le niveau d'exécution précédant et le niveau d'exécution actuel du système sur la sortie standard, séparés par une espace. S'il n'y a pas de niveau d'exécution précédent, N est affiché à la place.

Si aucun fichier utmp n'existe ou si aucune entrée pour le niveau d'exécution ne peut être trouvée, runlevel affiche « unknown » et quitte avec une erreur.

runlevel peut être utilisé dans les scripts rc comme remplaçant de la commande Système V who -r. Cependant, dans les versions plus récentes d'init(8), ces informations sont disponibles dans les variables d'environnement RUNLEVEL et PREVLEVEL.

OPTIONS

utmp
    Le nom du fichier utmp à lire.

VOIR AUSSI
init(8), utmp(5)

AUTEUR
Miquel van Smoorenburg, miquels@cistron.nl

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.